# 李守中的个人站

个人资料、文章与工具站点。由 Astro 框架构建，使用 typescript 编写。

## 关于翻译类文章的发布方式

翻译类文章不由 Astro 生成，而是预先使用 texinfo 编写后编译到 HTML 文件，将其放于固定位置，再在 Astro 页面中引用这些文件。

这意味着每有一个新的翻译类文章要发布时，需要:

1. 更新 pages/article/translation/index.astro 文件中翻译类文章的列表;
2. 更新 astro.config.mjs 文件中的 sitemap 插件配置，填入 texinfo 编译出的 HTML 文件的 URL 以使这些文章可以进入 sitemap.xml 中，从而可以被搜索引擎收录。
